can't download from first farmers bank and trust

I have quicken 2012. yes it's old but i don't want all the fancy features of newer versions. just the checkbook. =)

when i try to connect to my bank, first farmers bank and trust, i see it on the list then get the error, "we couldn't get information about first farmers bank & trust"

i called the bank and they say it's a quicken issue, they do support quicken downloads.

any advice, other than upgrade to a subscription?

Answers

  • Hello [email protected]

    Thank you for reaching out to Quicken Community. We apologize you are having this issue. To clarify, automatic transaction downloads are for the subscription version(s). This may be the reason why you are getting an error message. In addition, you are also working on a discontinued version of Quicken so most of the current features may not be available and manual entry is the method used. We apologize for the inconvenience. If you have any other questions please let us know

    -Quicken Paloma
  • ok. thanks. is there a discounted upgrade? also will i run into issues converting data that old?
  • Hello [email protected]

    For assistance with subscription purchases and discounts/promotions please contact Quicken Support. If you do wish to upgrade you should not have an issue with converting since your Quicken version is that prior to 2007. 

    For more information regarding file conversion(s) visit the link below. 

    https://www.quicken.com/support/mac/how-and-when-use-intermediate-version-convert-older-versions-quicken

    Hope this helps!

    -Quicken Paloma